﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace GridDataControlSample
{
    public  class Data:INotifyPropertyChanged
    {
        private bool checkbox;


        public bool CheckBox
        {
            get { return checkbox; }
            set { checkbox = value; OnpropertyChanged("CheckBox"); }
        }

        
        

        private int customerID;

       
        public int CustomerID
        {
            get { return customerID; }
            set { customerID = value; OnpropertyChanged("CustomerID"); }
        }

        
        private string customerName;

        public string CustomerName
        {
            get { return customerName; }
            set { customerName = value; OnpropertyChanged("CustomerName"); }
        }
              
        
        private int productID;

        public int ProductID
        {
            get { return productID; }
            set { productID = value; OnpropertyChanged("ProductID"); }
        }
        private string productName;

        public string ProductName
        {
            get { return productName; }
            set { productName = value; OnpropertyChanged("ProductName"); }
        }
        private int productPrice;

        public int ProductPrice
        {
            get { return productPrice; }
            set { productPrice = value; OnpropertyChanged("ProductPrice"); }
        }
        private int quantity;

        public int Quantity
        {
            get { return quantity; }
            set { quantity = value; OnpropertyChanged("Quantity"); }
        }


        public event PropertyChangedEventHandler PropertyChanged;

        public void OnpropertyChanged(string propertyName)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null)
            {
                var e = new PropertyChangedEventArgs(propertyName);
                handler(this, e);
            }
        }

      
    }

 
}
